#include<bits/stdc++.h>

using namespace std;

int a[1000006],mn=100000008,mx=-100000008;

int main()
{
	int x,n;
	cin >> n >> x;
	for(int i=0;i<n;i++)
	{
		cin >> a[i];
		mn=min(mn,a[i]);
		mx=max(mx,a[i]);
	}
	if(x>=mn && x<=mx)
	{
		int ans=min(mx-x+mx-mn,x-mn+mx-mn);
		cout<<ans;
	}
	else if(x<mn) cout<<mx-x;
	else cout<<x-mn;
}